/****************************************************************************/
/* GF84 ( 移行DB一覧 )                                                      */
/*                                                                          */
/* Created : 2021/06/29 14:03:36                                            */
/****************************************************************************/

CREATE TABLE GF84 (
   SYSTEM_ID    VARCHAR2 (   10 )                   NOT NULL            /*  1 ｼｽﾃﾑID        */
 , TABLE_NAME   VARCHAR2 (   50 )                   NOT NULL            /*  2 ﾃｰﾌﾞﾙ名       */
 , NAME_JA      VARCHAR2 (  200 )                                       /*  3 名称          */
 , SUIKOU       NUMBER   (    9 )       DEFAULT 0   NOT NULL            /*  4 移行件数      */
 , NOJUN        NUMBER   (    9 )       DEFAULT 0   NOT NULL            /*  5 対応順        */
 , CDIKOU       VARCHAR2 (    1 )       DEFAULT '0' NOT NULL            /*  6 移行方法      */
 , F_TABLE_NAME VARCHAR2 (   50 )                                       /*  7 元ﾃｰﾌﾞﾙ名     */
 , F_NAME_JA    VARCHAR2 (  200 )                                       /*  8 元名称        */
 , F_FILEPATH   VARCHAR2 (  256 )                                       /*  9 元ﾌｧｲﾙﾊﾟｽ     */
 , F_SUIKOU     NUMBER   (    9 )       DEFAULT 0   NOT NULL            /* 10 元移行件数    */
 , DESCRIPTION  VARCHAR2 ( 4000 )                                       /* 11 概要説明      */
 , UNIQ         NUMBER   (    9 )       DEFAULT 0   NOT NULL            /* 12 ﾕﾆｰｸｷｰ        */
 , FGJ          VARCHAR2 (    1 )       DEFAULT '1' NOT NULL            /* 13 状態ﾌﾗｸﾞ      */
 , DYSET        VARCHAR2 (   14 )                                       /* 14 登録日時      */
 , PGSET        VARCHAR2 (   10 )                                       /* 15 作成PG        */
 , PGPSET       VARCHAR2 (   10 )                                       /* 16 作成親PG      */
 , USRSET       VARCHAR2 (   10 )                                       /* 17 作成社員      */
 , DYUPD        VARCHAR2 (   14 )                                       /* 18 更新日時      */
 , PGUPD        VARCHAR2 (   10 )                                       /* 19 更新PG        */
 , PGPUPD       VARCHAR2 (   10 )                                       /* 20 更新親PG      */
 , USRUPD       VARCHAR2 (   10 )                                       /* 21 更新者        */
)
TABLESPACE GFTBL01
STORAGE( INITIAL 16K );


CREATE SEQUENCE GF84S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF84T00 
  BEFORE INSERT ON GF84
  FOR EACH ROW 
  BEGIN 
    SELECT GF84S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
